
/* Sent celebrates on forum*/
/* Powered by TRANE73*/
/* 30.03.2012 21:31 */
/* http://trane73.ru/ */


if($('.gTableSubTop:last').text().indexOf('Поздравляем')!=-1 && $('.userBirthdayLink').size()>0){
var number, s, message, subject, ssid, code, seckey, imgsec;
$('.gTableSubTop:last').append(' | <a href="javascript://" onclick="celebrate()">Поздравить всех</a>');
}
function celebrate(){
new _uWnd('celebrate', 'Поздравить всех сразу', 400, 100, {modal: 1,align: 'left'}, '<div align="center" style="padding:4px;"><fieldset id="celebrate_form" style="padding:4px;"><legend>Введите ваш текст поздравления</legend><center><textarea id="celebrate_val" style="width:90%;height:130px;">Текст поздравления</textarea><br /><br /><input type="button" onclick="celebrate_post()" value="Отправить всем поздравления" /></center></fieldset><br /><div align="left" id="celebrate_log" style="height:150px;width:90%;overflow:auto;display:none;"></div></div>')
}
function celebrate_post(){
if($('#celebrate_val').val() == 'Текст поздравления' || $('#celebrate_val').val() == '') {
$('#celebrate_val').val('');
alert('Введите текст поздравления!');
} else {
number = $('.userBirthdayLink').size()-1;
$('#celebrate_log').show();
$('#celebrate_form').hide();
_uWnd.getbyname('celebrate').checksize();
setTimeout("$('#celebrate_log').append('<div><b>Внимание! Интервал - 2 секунды, не закрывайте сразу!</b></div><div>- Отправка началась...</div>')",500);
_uWnd.setTitle('celebrate','Ожидайте завершения отправки...');
setTimeout("celebrate_send()",500);
}
}
function celebrate_send(){
if(number>-1){
s = $('.userBirthdayLink:eq('+number+')').text();
subject = 'Поздравление с Днём Рождения!';
message = $('#celebrate_val').val();
$.get("/index/14-0-0-1", function (pm) {
	ssid = $("input[name='ssid']", pm).val();
	if ($("#secuImg", pm).size() > 0) {
		imgsec = $("#secuImg", pm).clone();
		seckey = $("input[name='seckey']", pm).val();
		new _uWnd('cap', 'Код с картинки и подождите', 300, 80, {autosize: 0,modal: 1,oncontent: function () {
			$("#capImgSpan").html(imgsec);
			$("#capcode").focus();
		}
		},'<span id="capImgSpan"></span> <input type="text" id="capcode" onkeyup="celebrate_cap()">');
	} else {
		$.post("/index", {
			s: s,
			subject: subject,
			message: message,
              		ssid: ssid,
			a: 18
			},function (re) {
			var rTxt = $($(re).text()).text();
			if(rTxt.indexOf("успешно") > -1) {
				$('#celebrate_log').append('<div>- Поздравление для '+s+' отправлено.</div>');
				setTimeout("celebrate_send()",2000);
			} else {
				$('#celebrate_log').append('<div>- Поздравление для '+s+' <b>НЕ</b> отправлено.</div>');
				setTimeout("celebrate_send()",2000);
			}
		});
	}
});
number--;
} else {
_uWnd.setTitle('celebrate','Отправка завершена!');
$('#celebrate_log').append('<div>- Отправка завершена!</div>');
setTimeout("_uWnd.close('celebrate')",2000);
}
}
function celebrate_cap(){
code = $("#capcode").val();
if (code.length == 5) {
	$.post("/index", {
		s: s,
		subject: subject,
		message: message,
		code: code,
                ssid: ssid,
		seckey: seckey,
		a: 18
	},function (re) {
		var rTxt = $($(re).text()).text();
		if(rTxt.indexOf("успешно") > -1) {
			_uWnd.close('cap');
			$('#celebrate_log').append('<div>- Поздравление для '+s+' отправлено.</div>');
			setTimeout("celebrate_send()",2000);
		} else {
			if(rTxt.indexOf("код б") > -1) {
				$('#secuImg').click();
				$("#capcode").val('');
			} else {
				_uWnd.close('cap');
				$('#celebrate_log').append('<div>- Поздравление для '+s+' <b>НЕ</b> отправлено.</div>');
				setTimeout("celebrate_send()",2000);
			}
		}
	});
}
}